# PolylineOutlineMaterialProperty

#### new Cesium.PolylineOutlineMaterialProperty(options)
DataSources/PolylineOutlineMaterialProperty.js 22

A `MaterialProperty` that maps to polyline outline `Material` uniforms.

Name | Type | Description
--- | --- | ---
`options` | Object | optional Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`color` | Property | Color | `Color.WHITE` | optional A Property specifying the `Color` of the line.
`outlineColor` | Property | Color | `Color.BLACK` | optional A Property specifying the `Color` of the outline.
`outlineWidth` | Property | Number | `1.0` | optional A numeric Property specifying the width of the outline, in pixels.

### Members

#### color : Property|undefined
DataSources/PolylineOutlineMaterialProperty.js 76

Gets or sets the Property specifying the `Color` of the line.

Default Value: `Color.WHITE`

#### readonly definitionChanged : Event
DataSources/PolylineOutlineMaterialProperty.js 65

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### readonly isConstant : Boolean
DataSources/PolylineOutlineMaterialProperty.js 47

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

#### outlineColor : Property|undefined
DataSources/PolylineOutlineMaterialProperty.js 84

Gets or sets the Property specifying the `Color` of the outline.

Default Value: `Color.BLACK`

#### outlineWidth : Property|undefined
DataSources/PolylineOutlineMaterialProperty.js 92

Gets or sets the numeric Property specifying the width of the outline.

Default Value: `1.0`

### Methods

#### equals(other) → Boolean
DataSources/PolylineOutlineMaterialProperty.js 143

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getType(time) → String
DataSources/PolylineOutlineMaterialProperty.js 101

Gets the `Material` type at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the type.

##### Returns:

The type of material.

#### getValue(time, result) → Object
DataSources/PolylineOutlineMaterialProperty.js 112

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.